Apache, mysql and databases...

Ask questions regarding Gentoox, Gentoo and Linux in general in these forums and we'll do our best to help you!
Post Reply
User avatar
BigBowser
Novice
Posts: 20
Joined: Wed Jan 12, 2005 2:35 pm
Location: France
Contact:

Apache, mysql and databases...

Post by BigBowser » Wed Jul 13, 2005 8:40 pm

This morning, I booted up my XBox (Home 4.0, formated yesterday) and I wanted to install apache mysql and php, so I did:

emerge mysql mod_php

Apache2, MySQL and php are confgiured, I tried to install phpbb to test my TuxBox, the page loads but when I log in and try to go on the "Administration Control Panel" a pop-up appear with "Couldn't access to localhost, access denied" (I think). And nothing worked, authorisations, config files nothing...

Does someone know how to fix it?

User avatar
clpalmer
Power user
Posts: 288
Joined: Sat Jan 29, 2005 6:38 pm

Post by clpalmer » Thu Jul 14, 2005 2:29 pm

If the web page loads, I'd imagine it's a problem with sql, not apache. Have you tried other methods of accessing your sql database? Is there some sql setup that's required for phpbb that you haven't done? (been ages since I set up phpbb so I don't remember it much, but these are guesses). Don't remember the sql command line interface, but see if you can just access and query the sql database to make sure it's set up and running ok.

User avatar
BigBowser
Novice
Posts: 20
Joined: Wed Jan 12, 2005 2:35 pm
Location: France
Contact:

Post by BigBowser » Thu Jul 14, 2005 3:31 pm

I tried phpMyadmin and it worked without problem. On the pop-up it says it could'nt connect to database, but I entered all passwords... I don't understand, It isn't my first web server but actually I don't understand.
Modérateur Forum Ominfo.com
Image

User avatar
clpalmer
Power user
Posts: 288
Joined: Sat Jan 29, 2005 6:38 pm

Post by clpalmer » Fri Jul 15, 2005 2:29 pm

It doesn't sound like there's a problem with the web server. It seems like there's a problem with your phpbb/sql setup. I don't know much about phpbb and what it requires so I can't help you much more =/ Maybe I'll install it today for $#!75 & giggles. If I do, I'll let you know how it goes and what I had to do.

User avatar
clpalmer
Power user
Posts: 288
Joined: Sat Jan 29, 2005 6:38 pm

Post by clpalmer » Fri Jul 15, 2005 5:45 pm

*sigh* at least you got that far. I can't even emerge mod_php. Seems php-4.4.0.tar.bz2 doesn't exist for download... They have php 3.x and 5.x but no 4.4.0. Anyone know if there is a way to tell emerge to grab it from a different place or to use a copy I downloaded myself?


>>> emerge (1 of 2) dev-php/mod_php-4.4.0 to /
>>> Downloading ftp://ftp.easynet.nl/mirror/gentoo//dis ... .0.tar.bz2
--10:31:42-- ftp://ftp.easynet.nl/mirror/gentoo/dist ... .0.tar.bz2
=> `/usr/portage/distfiles/php-4.4.0.tar.bz2'
Resolving ftp.easynet.nl... 195.86.128.57
Connecting to ftp.easynet.nl[195.86.128.57]:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done. ==> PWD ... done.
==> TYPE I ... done. ==> CWD /mirror/gentoo/distfiles ... done.
==> PASV ... done. ==> RETR php-4.4.0.tar.bz2 ...
No such file `php-4.4.0.tar.bz2'.

>>> Downloading http://downloads.php.net/ilia//php-4.4.0.tar.bz2
--10:31:45-- http://downloads.php.net/ilia/php-4.4.0.tar.bz2
=> `/usr/portage/distfiles/php-4.4.0.tar.bz2'
Resolving downloads.php.net... 64.246.30.196
Connecting to downloads.php.net[64.246.30.196]:80... connected.
HTTP request sent, awaiting response... 404 Not Found
10:31:46 ERROR 404: Not Found.

!!! Couldn't download php-4.4.0.tar.bz2. Aborting.

vplayer
1337
Posts: 442
Joined: Thu Oct 07, 2004 11:06 pm
Location: USA

Post by vplayer » Fri Jul 15, 2005 9:39 pm

clpalmer... did u do emerge sync before u started the emerge for mod_php.

also... for both of you.. check whether this link would help you in anyways..
http://gentoo-wiki.com/HOWTO_Apache2_with_PHP_MySQL
Box: XBOX ver 1.1
Mod: Xecutor 2.3 lite+
Hdd: WD 80GB
Dash: Evox, Ava, XBMC
Linux: Gentoox Pro 4.2

User avatar
clpalmer
Power user
Posts: 288
Joined: Sat Jan 29, 2005 6:38 pm

Post by clpalmer » Mon Jul 18, 2005 5:41 pm

Yup. Didn't help =/ For some reason, the latest package for php is 4.4.0 and the sites have 4.3.9 and 5.0.3 but no 4.4.0...

User avatar
rocketeer
Pro
Posts: 75
Joined: Sun Aug 17, 2003 12:05 am

Post by rocketeer » Tue Jul 19, 2005 2:29 pm

clpalmer: try another mirror. The mirror I use (which is close to me) has 4.4.0.

In /etc/make.conf there is a quoted whitespace-separated list:

Code: Select all

GENTOO_MIRRORS="ftp://mirror.pudas.net/gentoo http://mirror2 ftp://mirror3 etc"

Post Reply

Who is online

Users browsing this forum: No registered users and 8 guests